HINTVIEW(1)

NAME
hintview - displaying HINT files

SYNOPSIS
hintview [options] [file]

DESCRIPTION
Hintview displays a binary HINT file, usually with the .hnt extension.

The binary HINT file format is designed for on-screen reading of documents. Using hintview to display a HINT file, its content will dynamically adapt to the available display area. For complete information on the HINT file format and programs to view HINT files, see https://hint.userweb.mwn.de.

OPTIONS
This version of hintview understands the following command line options:

-a  Start in autoreload mode. If in autoreload mode, the viewer will check the modification time of the displayed HINT file each time the cursor enters the window. If the modification time has changed, the file is reloaded. The viewer attempts to position the new file at about the same position as the old file. This attempt might fail if large scale changes have been made to the file.

    See also the Ctrl-A and the Ctrl-R key.

-h  Open the document on the "home" page. The home page is a location specified by the document author as a good starting point for reading the document.

    See also the Ctrl-H key.

--help
    Print help message and exit.

-d  Start the viewer in "dark" mode. In this mode the viewer will display the document using a dark background and light foreground color to reduce eye strain in a surrounding with dim lighting.

    See also the Ctrl-D key.

--version
    Print version information and exit.

-z  Zoom to 100%. The HINT viewer can display a document using a given zoom factor to make characters appear larger or smaller to either improve readability or increase the amount of text that can be displayed in a given window. This option resets the zoom factor so that a 10pt font will appear on screen at the same size as it would appear in a printed book.

    See also the Ctrl-Z key.

KEYSTROKES
Hintview recognizes the following keystrokes when typed in its window.

Ctrl-A
    Toggle autoreload mode. See also the -a option and the Ctrl-R key.

Ctrl-O
    Open the File dialog.

Ctrl-D
    Toggle between dark and light mode. See also the -d option.

Ctrl-T
    Show a clickable table of content.

Ctrl-Q
    Quit. Terminate the program.

Ctrl-R
    Reload the content. The file is reloaded and the viewer attempts to position the new file at about the same position as the old file. This attempt might fail if large scale changes have been made to the file. See also the Ctrl-A key and the -a option.

Ctrl-F
    Open the Find dialog.

Ctrl-G
    Find the next occurrence.

Ctrl-Z
    Zoom to 100%. See also the -z option.

Home, Ctrl-H
    Move to the "home" page. The home page is a location specified by the document author as a good starting point for reading the document.

Page-Down
    Move to the next page.

Page-Up
    Move to the previous page.

NUM +
    Increase the gamma correction by 0.1

NUM -
    Decrease the gamma correction by 0.1

MOUSE ACTIONS
The following actions are executed using the left mouse button.

Click
    If the mouse is positioned on a link, move to the link target. Links are displayed in blue color.

Drag
    Dragging from the top-left to the bottom-right increases the zoom factor. Dragging in the opposite direction decreases the zoom factor. See also the Ctrl-Z key and the -z option.

Scroll wheel (EXPERIMENTAL)
    Using the scroll wheel is a fast way of paging forward and backward.

NOTES
This is a program to render HINT files using GTK-3. Other programs to display HINT files are available on the HINT project home page at https://hint.userweb.mwn.de/ where you find viewers for the Windows and Android operating systems.

Currently the best way to produce HINT files is the use of hitex, or hilatex, versions of TeX that produce HINT files as output. The HINT file format is described in HINT: The file format which is available as a book or in electronic form from the HINT project home page. The HINT file format is independent of TeX and allows the implementation of generators for all kind of word-processors. The hintview program however uses parts of Donald E. Knuth's implementation of TeX, notably its line breaking routine, to produce good quality rendering of documents.

AVAILABILITY
hintview is tested on the Linux platform but should compile on a large variety of machine architectures and operating systems. hitex and hilatex are part of the TeX Live distribution.

SEE ALSO
hitex(1), histretch(1), hishrink(1).

AUTHORS
Martin Ruckert